commit d27abbf74fee30ddb9a3ca0d597ca0ce16a1bc35
Author: Tormod Volden <debian.tormod@gmail.com>
Date:   Tue Sep 24 23:14:35 2013 +0200

    xf86-video-savage: bump to version 2.3.7
    
    Signed-off-by: Tormod Volden <debian.tormod@gmail.com>

commit 966a0e95d6c420e5e0ab01e665144e66a4004846
Author: Alexander Grothe <alexander.grothe@gmail.com>
Date:   Sun Sep 15 11:00:41 2013 +0200

    Drop miInitializeBackingStore() call
    
    It was only needed up to xserver 1.4 and is not supported in the
    recent xserver versions.
    
    Thanks to Alexander Grothe for reporting the issue and providing
    the fix.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=65444
    
    > commit 1cb0261ef54b7dd6a7ef84e1c3959e424706228b
    > Author: Daniel Martin <consume.noise@gmail.com>
    > Date:   Thu Sep 6 00:38:26 2012 +0200
    >
    >    dix: Delete mibstore.h
    >
    >    Since Nov 2010 (commit c4c4676) the only purpose of mibstore.h was to
    >    define an empty function (miInitializeBackingStore()) for backward
    >    compatibility. Time to say goodbye.
    
    Signed-off-by: Tormod Volden <debian.tormod@gmail.com>

commit 44581aef5f878e7f2b34d5693d50ef75263b195c
Author: Tormod Volden <debian.tormod@gmail.com>
Date:   Wed Feb 6 22:14:59 2013 +0100

    Fix video window height on MX/IX/SuperSavage
    
    Some copy-pasto caused the width to be written into the height register.
    
    Thanks to Hans-Jürgen Mauser for pointing out a couple of more places this
    was wrong.
    
    Signed-off-by: Tormod Volden <debian.tormod@gmail.com>

commit 3425ddb4c5dd7bbd91068c7ba0b1c001719795a5
Author: Tormod Volden <debian.tormod@gmail.com>
Date:   Thu May 9 12:39:58 2013 +0000

    Fix building with TRACEON defined
    
    Signed-off-by: Tormod Volden <debian.tormod@gmail.com>

commit ac460e6836bdd2cd16c9d29743376c16fdc6924e
Author: Tormod Volden <debian.tormod@gmail.com>
Date:   Tue May 7 22:41:31 2013 +0200

    exa: Use exaGetPixmapFirstPixel() instead of devPrivate.ptr
    
    Signed-off-by: Tormod Volden <debian.tormod@gmail.com>

commit c30f9b4a61283f21f6bd230950f52961afa203cf
Author: Tormod Volden <debian.tormod@gmail.com>
Date:   Thu May 9 12:36:33 2013 +0000

    Really fix default accel arch when built with no XAA
    
    After ca9718a887ecbc59b76869af673791ab591b849b it would
    still default to XAA unless AccelMethod option was used.
    
    Make sure the default is EXA if there is no XAA support.
    
    Signed-off-by: Tormod Volden <debian.tormod@gmail.com>

commit ca9718a887ecbc59b76869af673791ab591b849b
Author: Dave Airlie <airlied@gmail.com>
Date:   Sat Dec 22 20:00:00 2012 +1000

    savage: fix default accel arch when built with no XAA
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 3d181030a6ba2205a57ef4665e53aed0251ccaa6
Author: Dave Airlie <airlied@gmail.com>
Date:   Wed Jul 18 18:52:38 2012 +1000

    savage: move compat-api.h down to proper place.
    
    This screws up when DRI isn't enabled.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit cb27a7a072c6e087a2e272d84c1d569dc717da8b
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Jul 17 16:05:09 2012 +1000

    xf86-video-savage: bump to version 2.3.6
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit d7edd7c545473d5ed80c9a46c1405042267a7293
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Jul 16 03:39:32 2012 +0100

    savage: make build with no xaa server.
    
    This fixes savage build against the no XAA server.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 508e0742b7d1ac1e4ff6b648d19bfa062c535d61
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Jul 2 12:29:41 2012 +0100

    savage: bump to 2.3.5
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 430b956b49b6c883189074ce13bc234545b714e0
Author: Dave Airlie <airlied@redhat.com>
Date:   Wed Jun 6 11:24:31 2012 +0100

    savage: i2c drop xf86Screens usage.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit a2714fb09e1e0badbb3e98e24d4b1ed92003bdb9
Author: Dave Airlie <airlied@redhat.com>
Date:   Wed Jun 6 11:22:29 2012 +0100

    savage: port to new compat API
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit de22eab9a21df80fe965dc37d21ba3ac2b9f5fd0
Author: Tormod Volden <debian.tormod@gmail.com>
Date:   Wed Feb 15 22:20:37 2012 +0100

    Refactor BIOS modes retrieval to call VBEGetVBEInfo only once
    
    Otherwise, calling it twice would trigger a VBE bug when using
    xserver 1.12.
    
    Signed-off-by: Tormod Volden <debian.tormod@gmail.com>

commit 63dd44674a28263c5d8d6aec8b72e95f94d3fe6c
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Mar 23 19:46:12 2012 -0700

    xf86-video-savage 2.3.4
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit dfcc325f55d580eb630f3b236eadf99f6b7d6ad6
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Mar 23 19:38:07 2012 -0700

    Add savage_pciids.h to src/Makefile.am to fix distcheck
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c4022796ec69bb3223d435d8442f9168aebe9c3d
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 17 15:35:39 2012 +1000

    Untangle XF86DRI from the driver-specific DRI define
    
    XF86DRI is defined by xorg-server.h, so --disable-dri in the driver
    itself does exactly nothing other than not fill in the CFLAGS and thus stop
    the driver from compiling.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Tormod Volden <debian.tormod@gmail.com>

commit 05f74bd80018bc503ff5631b357fc0b02df6187f
Author: Andrew Turner <andrew@fubar.geek.nz>
Date:   Fri Oct 14 00:18:40 2011 +0200

    Merge almost identical code in SAVAGEInitVisualConfigs
    
    https://bugs.freedesktop.org/show_bug.cgi?id=9961
    
    Signed-off-by: Andrew Turner <andrew@fubar.geek.nz>
    [Tormod: Rename table to SAVAGEVisuals]
    Signed-off-by: Tormod Volden <debian.tormod@gmail.com>

commit 0600b7279382c66445506fa98dc50299574a1abd
Author: Tormod Volden <debian.tormod@gmail.com>
Date:   Sun Dec 4 23:36:19 2011 +0100

    Avoid leading underscores in #include guards
    
    In a user header file, the macro name should not begin with `_'
    http://gcc.gnu.org/onlinedocs/cpp/Once_002dOnly-Headers.html
    
    Signed-off-by: Tormod Volden <debian.tormod@gmail.com>

commit 10f319e43f77fef450aa723eff25bd200600c48d
Author: Tormod Volden <debian.tormod@gmail.com>
Date:   Sun Dec 4 23:36:18 2011 +0100

    Do not use the deprecated xf86PciInfo.h from xserver
    
    Instead maintain our own list of supported PCI IDs.
    
    Signed-off-by: Tormod Volden <debian.tormod@gmail.com>

commit c3eaacd25358c225e355a1ea7d64dece8188b69a
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Dec 19 17:23:35 2011 -0500

    Fix for new vgahw ABI
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit a0776b675a4a62d972d135508079950b8adbfe28
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Dec 19 17:22:53 2011 -0500

    Fall back to shadowfb if XAA is unavailable
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 4618374e37674345303b5b44474195def65bba2a
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Jun 22 17:05:37 2011 -0400

    Don't include xf86Priv.h
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 8b9c81bacf45a9f56b0ec275e1b48e1407380baf
Author: Tormod Volden <debian.tormod@gmail.com>
Date:   Sat Oct 8 21:55:38 2011 +0200

    Bump version to 2.3.3

commit f7516fd3a01241aaeab65cd409091e68b4be234a
Author: Tormod Volden <debian.tormod@gmail.com>
Date:   Sun Sep 18 22:28:31 2011 +0200

    savage: Warn if broken drm maps are detected
    
    Linux kernel 2.6.30 - 2.6.39 had broken drm maps which would result
    in assorted problems. Leave a message in the log if it looks like
    the framebuffer map and the aperture map are mixed up.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=32511
    
    Signed-off-by: Tormod Volden <debian.tormod@gmail.com>

commit ca6c41fd8c9fcb563ee5f97689806edcb0da54bf
Author: Tormod Volden <debian.tormod@gmail.com>
Date:   Sat Sep 17 11:58:50 2011 +0200

    savage: Avoid unnecessary float calculation in video display
    
    There is no reason to do the division using floats as long as
    the result is an integer and there is no risk of intermediate
    overflow.
    
    This is in the code for "Old" chipsets. Integer division was already
    used in the parallel code for "New" chipsets.
    
    Also fixed up the whitespace in both blocks.
    
    Signed-off-by: Tormod Volden <debian.tormod@gmail.com>
    Reviewed-by: Matt Turner <mattst88@gmail.com>

commit f27eac4b3fe9e6f13d3c54711488ebe7280f24dd
Author: Hans-Juergen Mauser <hjmauser@gmx.net>
Date:   Sat Sep 17 11:22:30 2011 +0200

    savage: Fix Xv scaling on non-native resolutions
    
    If I set the resolution to 800x600 for example (to be able to use the
    TV output in full screen mode), I only can see 800/1024 = 0,78 of the
    real video width, no matter if the video is displayed in a small player
    window or enlarged to full screen. On the right of the video display,
    the remaining width is filled with a black (or sometimes blue) bar.
    
    The problem was mainly that only the drawing starting point was modified
    by the scaling factor, but not the size-defining end of the drawing
    rectangle.
    
    https://bugs.launchpad.net/bugs/670790
    
    Signed-off-by: Hans-Juergen Mauser <hjmauser@gmx.net>
    Reviewed-by: Tormod Volden <debian.tormod@gmail.com>
    Acked-by: Matt Turner <mattst88@gmail.com>

commit d177ae0b11a1b47ce088cce8c3c6e0f94a706b5e
Author: Tormod Volden <debian.tormod@gmail.com>
Date:   Thu Apr 21 00:17:15 2011 +0200

    savage: Fix &/&& typo in "magical" register setup
    
    Found with CFLAGS=-Wlogical-op
    
    Signed-off-by: Tormod Volden <debian.tormod@gmail.com>
    Reviewed-by: Alex Deucher <alexdeucher@gmail.com>

commit 092d2aa5502d10b7f994003882202f2ffda5c9aa
Author: Tormod Volden <debian.tormod@gmail.com>
Date:   Tue Apr 19 00:02:50 2011 +0200

    savage: Make SAVAGESelectBuffer() private (static)
    
    Also clean out some unused prototypes from savage_driver.h
    
    Signed-off-by: Tormod Volden <debian.tormod@gmail.com>
    Reviewed-by: Matt Turner <mattst88@gmail.com>
    Reviewed-by: Alex Deucher <alexdeucher@gmail.com>

commit 644fcdfdac61500e61e7bfd5ac98f780d87ef803
Author: Tormod Volden <debian.tormod@gmail.com>
Date:   Mon Apr 18 23:08:55 2011 +0200

    savage: Factor out a SAVAGESetAgpMode and call it on resume
    
    This should fix resume with AGP. After all these years...
    
    https://bugzilla.kernel.org/show_bug.cgi?id=4607
    
    Signed-off-by: Tormod Volden <debian.tormod@gmail.com>
    Reviewed-by: Matt Turner <mattst88@gmail.com>
    Reviewed-by: Alex Deucher <alexdeucher@gmail.com>

commit ce6d156b72971bb8215a9443cbe76ce007c79663
Author: Tormod Volden <debian.tormod@gmail.com>
Date:   Mon Apr 18 22:36:25 2011 +0200

    savage: New SAVAGEDRIResume function
    
    Move DRI stuff from savage_driver.c to savage_dri.c
    
    Signed-off-by: Tormod Volden <debian.tormod@gmail.com>
    Reviewed-by: Matt Turner <mattst88@gmail.com>
    Reviewed-by: Alex Deucher <alexdeucher@gmail.com>

commit dad240d81ea5fa946d494467e677c6e1a3a12fd7
Author: Tormod Volden <debian.tormod@gmail.com>
Date:   Mon Apr 18 22:04:00 2011 +0200

    savage: Fix logic in waitHSync
    
    Bit-masking the result of a boolean negation seems pointless,
    so I guess this is what was intended: Only look at bit 0 of the
    inStatus result.
    
    Signed-off-by: Tormod Volden <debian.tormod@gmail.com>
    Reviewed-by: Matt Turner <mattst88@gmail.com>
    Reviewed-by: Alex Deucher <alexdeucher@gmail.com>

commit a4f93e8860494285444e6b8a6ba801b9db8c9cdc
Author: Tormod Volden <debian.tormod@gmail.com>
Date:   Thu Mar 31 23:13:55 2011 +0200

    Fix wrong frequency unit in trace output
    
    The mode pixel clock frequency is in kHz, not Hz.
    
    Signed-off-by: Tormod Volden <debian.tormod@gmail.com>

commit aff8f966c6d3f7dbad2d92d040ce7f5c4b286eef
Author: Tormod Volden <debian.tormod@gmail.com>
Date:   Sun Feb 13 23:04:09 2011 +0100

    Use proper casts on framebuffer addresses
    
    Correction to df8059025cafadaeea7672842d31134ed8c9c5df.
    Casting addresses to int is a 32bitism. If we want to use
    this intermediate cast to silence compiler warnings, we
    should use uintptr_t instead to not introduce potential
    bit truncation.
    
    Thanks to Mark Kettenis for spotting this.
    
    Signed-off-by: Tormod Volden <debian.tormod@gmail.com>

commit 6b22be096bed59a853e5e1cdd25d8943cce30d4f
Author: Tormod Volden <debian.tormod@gmail.com>
Date:   Sun Jan 23 23:45:49 2011 +0100

    savage: Fix initialization typo in SAVAGEDRIMoveBuffers
    
    This was warned about when building with -O2, and seems
    to be a copy-and-paste glitch.
    
    savage_dri.c: In function ‘SAVAGEDRIMoveBuffers’:
    savage_dri.c:1445: warning: ‘pptNew2’ may be used uninitialized in this function

commit 9872b5f7ce7a7b07ff68bd2c389c56a3cb1b4ed6
Author: Tormod Volden <debian.tormod@gmail.com>
Date:   Sun Jan 23 22:47:01 2011 +0100

    savage: Fix building with TRACEON defined
    
    Two warnings and an error.

commit b018d343e6a6810afdaf1a73091dd9bc8c1c95bd
Author: Tormod Volden <debian.tormod@gmail.com>
Date:   Sun Jan 23 20:23:49 2011 +0100

    savage: Setup tiled surface registers in SavageEnterVT
    
    These registers are cleared after suspend/resume, so set them
    up again in EnterVT.

commit f3cd2946d0f38e89643aa6624e6bf35472828995
Author: Tormod Volden <debian.tormod@gmail.com>
Date:   Sun Jan 23 20:23:48 2011 +0100

    savage: Factor out a SAVAGEDRISetupTiledSurfaceRegs function
    
    The tiled surface registers were only setup in SAVAGEDRIScreenInit,
    however, after suspend/resume these registers must be set up again.
    So factor it out in a new function so it can be reused.

commit 055ca25faeb9decee091e8c59134c8f537bb7bc3
Author: Tormod Volden <debian.tormod@gmail.com>
Date:   Sun Jan 23 19:28:47 2011 +0100

    savage: Cast all handles before printing them
    
    Removes the last bunch of -Wall build warnings.
    
    savage_dri.c:490: warning: format ‘%08lx’ expects type ‘long unsigned int’,
    but argument 5 has type ‘drm_handle_t’
    ...

commit 3f18b334812086e5f487a4570a34a3906a67724c
Author: Tormod Volden <debian.tormod@gmail.com>
Date:   Sun Jan 23 15:49:58 2011 +0100

    savage: Fix ambiguity in SavageLoadPaletteSavage4
    
    It looks like "!" was meant for logic negation and the parentheses
    were wrong.
    
    I don't have a Savage 4 so I can't check if this fixes or breaks
    anything.

commit 6f8aa9c90cccbd893323f5f1892958b7f46e400d
Author: Tormod Volden <debian.tormod@gmail.com>
Date:   Sun Jan 23 15:49:57 2011 +0100

    savage: Drop unused variables and functions
    
    Silence -Wall warnings.
    
    The functions are just #if'ed out, to be left for inspiration.

commit df8059025cafadaeea7672842d31134ed8c9c5df
Author: Tormod Volden <debian.tormod@gmail.com>
Date:   Sun Jan 23 12:47:04 2011 +0100

    savage: More (intermediate) casts to silence warnings
    
    savage_dga.c: In function ‘Savage_OpenFramebuffer’:
    savage_dga.c:393: warning: cast to pointer from integer of different size
    
    savage_dri.c: In function ‘SAVAGEDRIScreenInit’:
    savage_dri.c:924: warning: cast to pointer from integer of different size

commit 35d9734049a0f701d2c1f84f778f30816176d29e
Author: Tormod Volden <debian.tormod@gmail.com>
Date:   Sun Jan 23 12:47:02 2011 +0100

    savage: Replace deprecated x(c)alloc/xfree with m/calloc/free
    
    sed -i 's/xalloc/malloc/g; s/xcalloc/calloc/g; s/xfree/free/g'
    
    Also replace xrealloc with realloc.

commit 0cbb6d275726aaed648b5ea4dcff45ce14388f91
Author: Tormod Volden <debian.tormod@gmail.com>
Date:   Sun Jan 23 12:47:03 2011 +0100

    savage: Add casts to silence build warnings
    
    savage_exa.c: In function ‘SavageUploadToScreen’:
    savage_exa.c:545: warning: passing argument 1 of ‘memcpy’ discards qualifiers from pointer target type
    /usr/include/bits/string3.h:49: note: expected ‘void * restrict’ but argument is of type ‘volatile CARD32 *’
    
    savage_video.c: In function ‘SavagePutImage’:
    savage_video.c:2007: warning: format ‘%ld’ expects type ‘long int’, but argument 4 has type ‘drmSize’
    savage_video.c:2007: warning: format ‘%ld’ expects type ‘long int’, but argument 5 has type ‘int’

commit cdfbd9674ccce6d0c96c1b16ad61eac5d5648e43
Author: Dave Airlie <airlied@linux.ie>
Date:   Sun Dec 5 19:09:12 2010 +1000

    savage 2.3.2

commit 830e58d086828fa0431303df32a847ddd3022654
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Nov 25 11:58:06 2010 +1000

    savage: fix use of privates without initialisation
    
    Fixes bug 31614.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 01eacf0d219dc514c2f3a2e5afd2f840412ae510
Author: Jesse Adkins <jesserayadkins@gmail.com>
Date:   Tue Sep 28 13:29:51 2010 -0700

    Purge cvs tags.
    
    Signed-off-by: Jesse Adkins <jesserayadkins@gmail.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e67c1d6f54b13ce81c4cfcd76e03d5623a02febd
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 16:49:04 2010 -0400

    config: add comments for main statements

commit e3dadc75919d9a11660b74b3d5615635bab3e0fd
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 16:07:00 2010 -0400

    config: replace deprecated use of AC_OUTPUT with AC_CONFIG_FILES
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit cd4366c50525a0e901a8aee9846a6a6d132bfc07
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 14:37:41 2010 -0400

    config: replace deprecated AC_HELP_STRING with AS_HELP_STRING
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 840fc7500f2c0e9024c29426c91e67fd711d1927
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 14:05:23 2010 -0400

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit c6baebf67704994266bad35833be947902e728c7
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 09:27:42 2010 -0400

    config: complete AC_INIT m4 quoting
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 1c701d54902e818177f6068bd32cda76b7acedbd
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 21:54:12 2010 -0400

    config: remove unrequired AC_SUBST([DRI_CFLAGS])
    
    This macro is called by PKG_CHECK_MODULES
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 0679802ae9965983007ec9a37554ea96c53921ba
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 21:44:58 2010 -0400

    config: remove unrequired AC_SUBST([XORG_CFLAGS])
    
    This macro is called by PKG_CHECK_MODULES
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit d56dd52399dc47f2873678c70cbfd1e4ebccd614
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 20:24:42 2010 -0400

    config: remove unrequired AC_HEADER_STDC
    
    Autoconf says:
    "This macro is obsolescent, as current systems have conforming
    header files. New programs need not use this macro".
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 29618ce942dc58708a3196c17c4feeea01bf1cf8
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 19:41:31 2010 -0400

    config: remove AC_PROG_CC as it overrides AC_PROG_C_C99
    
    XORG_STRICT_OPTION from XORG_DEFAULT_OPTIONS calls
    AC_PROG_C_C99. This sets gcc with -std=gnu99.
    If AC_PROG_CC macro is called afterwards, it resets CC to gcc.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit e3040a4790451a512b6411ae74d44e5e07118cfb
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 18:45:19 2010 -0400

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 9ecd6e31a52e5c62adc3790825260863ac39ae94
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 16:15:29 2010 -0400

    config: upgrade to util-macros 1.8 for additional man page support
    
    Use MAN_SUBST now supplied in XORG_MANPAGE_SECTIONS
    The value of MAN_SUBST is the same for all X.Org packages.

commit 1e9af8f812d210d5c9c103447ac586137b972a1a
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Jun 13 10:38:28 2010 -0400

    COPYING: replace stub file with actual Copyright notices.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit b877be5d8e633227764b9a158fb41be6d19c10e5
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Apr 26 21:12:18 2010 -0700

    Fix builds when XF86DRI is undefined
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d8bc97e4f23f7418f60ef42a25c00a21963a32ac
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 15 15:13:02 2010 -0800

    Update Sun license notices to current X.Org standard form
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit e99161fe6afdd9974743cbac8a17e8a305d1bbb4
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Dec 15 21:47:28 2009 -0500

    configure.ac: use backticks rather than $() for cmd subs
    
    Use "$PKG_CONFIG" rather than hard coded "pkg-config"
    
    Acked-by: Dan Nicholson <dbn.lists@gmail.com>
    Acked-by: Daniel Stone <daniel@fooishbar.org>
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit f27cf2c9d0402951a58915d911c703c55c5934f9
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Nov 23 09:25:05 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit 2768cbea728335b5c169b5df0f64be7f3c2757d9
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:41:41 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Automake 'foreign' option is specified in configure.ac.
    Remove from Makefile.am

commit baf73090d2cb50159c6c697856986e23523bbbeb
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:09 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit 321986d9f25ff4df8243aabc4574591f64350487
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 12:54:22 2009 -0400

    Several driver modules do not have a ChangeLog target in Makefile.am #23814
    
    The git generated ChangeLog replaces the hand written one.
    Update configure.ac to xorg-macros level 1.3.
    Use XORG_DEFAULT_OPTIONS which replaces four XORG_* macros
    Update Makefile.am to add ChangeLog target if missing
    Remove ChangeLog from EXTRA_DIST or *CLEAN variables
    This is a pre-req for the INSTALL_CMD

commit d429ea9bb07fe6abf913aad6d0c20884e9468e2f
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 13:04:00 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit d04b7c472a0352e5a8a48062ee065e89b55553d8
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 12:34:18 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit 36ab23a95fd8d46a1206a941278df8845d5765ba
Author: Dave Airlie <airlied@redhat.com>
Date:   Thu Jul 30 12:04:29 2009 +1000

    savage: bump for release 2.3.1

commit ad0b7ba4618c09c1a9d5a6da6b12f42980b7450c
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Jul 28 18:40:18 2009 +1000

    savage: move abi check down for RAC

commit 21f6bf3e492d328b8c7003ffb0c9deec0113fb05
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Jul 28 15:22:41 2009 +1000

    savage: change to using ABI version check

commit 3c0b164ffe9e1f582cee43f89a94fc0a2899bed8
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Jul 28 13:32:36 2009 +1000

    savage: update for resources/RAC API removal

commit 96d19b654e934fc3f85f9b45f1dee224cb40b389
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Jul 16 11:54:48 2009 +1000

    Update to xextproto 7.1 support.
    
    DPMS header was split into dpms.h (client) and dpmsconst.h (server). Drivers
    need to include dpmsconst.h if xextproto 7.1 is available.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 75ce40850ea2ce2ed7122cf62856dcf8022187d2
Author: Adam Jackson <ajax@redhat.com>
Date:   Thu Jul 2 11:39:22 2009 -0400

    savage 2.3.0

commit a75f0eaba6cb907a6ca9e506858d41f9c6f66b8b
Author: Adam Jackson <ajax@redhat.com>
Date:   Thu May 28 15:16:22 2009 -0400

    Remove useless loader symbol lists.

commit f2742755352d49a1ff4cbf9a1a5050a0a50e9e6b
Author: Alex Villacís Lasso <a_villacis@palosanto.com>
Date:   Sun Apr 12 16:07:06 2009 -0500

    Do not use XAAGetCopyROP outside of XAA-specific code
    
    The DRI code attempts to use XAAGetCopyROP without checking whether XAA or EXA is in effect. This results in the server crashing with an undefined-symbol error when enabling EXA, then starting glxgears under GNOME/Metacity and attempting to drag the glxgears window.
    
    The EXA code happens to have a functional duplicate of the required code under the name SavageGetCopyROP(). This patch moves the code to savage_accel.c where it is now shared between EXA and the DRI code.
    
    It is disturbing that this has not been caught before.

commit a5ad3e8f509ca07c429a43810cc3e2f80e70a1dc
Author: Alex Villacís Lasso <alex@karlalex.palosanto.com>
Date:   Sat Apr 11 19:12:31 2009 -0500

    Implement use of Mastered Image Transfer through AGP for UploadToScreen EXA acceleration.
    
    Under some conditions (documented in this patch), the UploadToScreen implementation can make use of the AGP scratch buffer used for XVideo as a convenient source for Mastered Image Transfer. The previous implementation is still available as a fallback for when AGP acceleration is not possible. This requires the AGP scratch buffer to be persistent, so the XVideo code is also made aware of an existing DRM mapping for the scratch buffer.

commit 0f4369c95b6ef948743c9b244709e454b8b8ef7f
Author: Alex Villacís Lasso <alex@karlalex.palosanto.com>
Date:   Sat Mar 14 21:34:48 2009 -0500

    Fix crash by null pointer access when DRI is not available.

commit 343b2f312b1e555f9d03a499ddbe4c9b33b3a6e5
Author: Chris Ball <cjb@laptop.org>
Date:   Fri Feb 27 10:55:58 2009 -0500

    Revert EXA 3 build fix.
    
    The EXA developers have backed out this ABI bump.
    
    Signed-off-by: Chris Ball <cjb@laptop.org>

commit 08692dd381dc6e98d484d5bffabcbd04ebf83df6
Author: Chris Ball <cjb@laptop.org>
Date:   Tue Feb 24 12:54:13 2009 -0500

    configure: use AC_DEFINE instead of shell substitution
    
    (This is just cosmetic.)
    
    Signed-off-by: Chris Ball <cjb@laptop.org>

commit 26f9e78d9b4f93f34792a31583cb5e8700c5ed52
Author: Chris Ball <cjb@laptop.org>
Date:   Tue Feb 24 11:54:06 2009 -0500

    Build fix: EXA now requires -DEXA_DRIVER_KNOWN_MAJOR=3
    
    This driver doesn't use {Prepare,Finish}Access, so this is safe.
    
    Signed-off-by: Chris Ball <cjb@laptop.org>

commit f4a3a1cd1bfbf6df583c913030ca2e9ce239d0c3
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 30 20:59:46 2009 -0800

    Add README with pointers to mailing list, bugzilla & git repos

commit 0fae48235841f05d7e52e61a2450835fdb8892b3
Author: Tormod Volden <debian.tormod@gmail.com>
Date:   Thu Jan 22 01:22:53 2009 -0500

    Savage: Do not add panel modes when there is no panel
    
    SavageGetPanelInfo will reset DisplayType if the panel is not
    active, so check again before calling SavageAddPanelMode so that
    bogus modes are not added.
    
    This fixes startup failures in some cases, for instance when there is no
    real panel and EDID is missing. The bogus sync ranges (typically 0 Hz)
    would also block the default sync ranges from being applied.
    
    Thanks to Peter Belew for testing.
    https://bugs.launchpad.net/bugs/294899

commit 8241b8edaf1f100b0d9f308fdf921b2ab548f3dc
Author: Alex Villacís Lasso <a_villacis@palosanto.com>
Date:   Fri Jan 16 16:22:42 2009 -0500

    EXA: UTS Optimization
    
    use one memcpy per scanline instead of a conditional inside
    a loop for every dword

commit 50bcd4bd6f32ed2fd9631b3607a203a187b2e4a2
Author: Alex Villacís Lasso <a_villacis@palosanto.com>
Date:   Fri Jan 16 16:20:23 2009 -0500

    Add AGPforXv Option
    
    Instructs the BCI Xv pixel formatter to use AGP memory as a scratch buffer
    for Xv image upload

commit 91d5c09c891c944ae4188ecac607ebdb44ed81d7
Author: Alex Villacís Lasso <a_villacis@palosanto.com>
Date:   Fri Jan 16 16:18:25 2009 -0500

    YUV packed buffer and YV12 planar buffer (if required) are now separate allocations
    
    BCI-mediated planar conversion can now use arbitrary offset in framebuffer as planar
    buffer, no longer restricted to space past packed buffer.

commit 9bcbdcc0e2535ea1e7c5e234b07d0a4be173a78f
Author: Alex Villacís Lasso <a_villacis@palosanto.com>
Date:   Fri Jan 16 16:16:46 2009 -0500

    Document the existence of the IgnoreEDID option

commit 0cf24c6f66d4832180b2246c20c74dec031fe45f
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 9 16:33:29 2009 -0800

    Remove xorgconfig & xorgcfg from See Also list in man page

commit aea0496f662fa25b40c59e65a50daf58a8a0d6d0
Author: Alex Villacís Lasso <a_villacis@palosanto.com>
Date:   Thu Nov 6 16:10:30 2008 -0500

    Fix EXA Copy
    
    patch from Alex Villacís Lasso with minor updates from me

commit e6b6506a0e77e1198d6a83eecddf342b746f31f4
Author: Alex Villacís Lasso <a_villacis@palosanto.com>
Date:   Thu Nov 6 14:11:49 2008 -0500

    Bug #18378: Use xfVillKeyHelperDrawable if available.

commit de3350e7937240686a90e51243e701b51a7f5249
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed May 21 16:04:31 2008 -0400

    no, really, savage 2.2.1

commit 5c0617874a49533f16b97277cd42584abb80f720
Merge: 97a9d24 a01c9d1
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed May 21 16:03:25 2008 -0400

    Merge branch 'master' of git+ssh://git.freedesktop.org/git/xorg/driver/xf86-video-savage

commit 97a9d2476868befc989b7ddb8067ac791bf2672e
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed May 21 16:01:37 2008 -0400

    savage 2.2.1

commit fd20f5ddc2ef5945a757f6afedff5fb6214b607e
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed May 21 16:00:40 2008 -0400

    Fake sync ranges for panels with no EDID.
    
    Red Hat bug #243589.

commit 09c4dcc658b07f2672388eb4ab5fee3ebe190fc9
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed May 21 15:58:24 2008 -0400

    Don't try to call vbeModeInit(), it doesn't exist and never will.

commit a01c9d12938f977a4310e0547866f01517059a3e
Author: Dave Airlie <airlied@linux.ie>
Date:   Sat May 10 15:06:18 2008 +1000

    savage/pciaccess: don't try to map aperture larger than region window

commit 69eca3b8340966874ee3ffdc0d0a3f73de7a816a
Author: Dave Airlie <airlied@linux.ie>
Date:   Sat May 10 14:58:14 2008 +1000

    savage: fix typos in error message

commit 9cb124b3542c942622a54d0ce429661516b1e2f4
Author: Alex Villacís Lasso <a_villacis@palosanto.com>
Date:   Thu Apr 10 12:51:47 2008 -0400

    EXA upload to screen must honor pitch of the source data

commit d0cbce17e1d1e99dbecda339c6704b96606b20d3
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Mar 19 15:15:35 2008 -0400

    savage 2.2.0

commit 6adc23cb19bfd331221df8dccb2dc88b8fc77821
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Mar 19 15:12:49 2008 -0400

    Remove use of deprecated {DE,}ALLOCATE_LOCAL.

commit 371d8fbae6f077d5a6dd845fad129fa9c7b0a701
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Mar 19 15:06:46 2008 -0400

    Death to RCS tags.

commit dc6a410290ab5103812a49273b27e3c72a7b2a98
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Sat Mar 8 23:47:57 2008 +0100

    Makefile.am: nuke RCS Id

commit 908b155161ebb6cd506f43a3987e4d146ef5b330
Author: Julien Cristau <jcristau@debian.org>
Date:   Fri Mar 7 17:10:52 2008 +0100

    fixup pciaccess version detect

commit eeea6468df31ee770c8d7c9dab4fac7ff0865bba
Author: Alex Villacs Lasso <a_villacis@palosanto.com>
Date:   Thu Feb 28 19:32:42 2008 -0500

    Fix broken downscale past 2:1 - MM8190 and MM8198 can be used together for arbitrary downscale

commit d838ed93a23b4e9dc438ad17875423e8b90f0015
Author: Tormod Volden <git.tormod@xoxy.net>
Date:   Sun Feb 24 21:46:43 2008 -0500

    Bug #11139: Remove some dead code.

commit 583051fce0d39fd2b8b5022016599e88d0af9041
Author: Alex Villacís Lasso <a_villacis@palosanto.com>
Date:   Wed Jan 30 21:49:05 2008 -0500

    [PATCH] Do not wait for vertical retrace anymore on old streams engine.

commit 52029dede1924c25275a1c6f20f68e98ba210e22
Author: Alex Villacís Lasso <a_villacis@palosanto.com>
